Package org.eclipse.net4j.connector

# Interface IConnectorStateEvent

All Superinterfaces:
  `IConnectorEvent`, `org.eclipse.net4j.util.event.IEvent`

public interface IConnectorStateEvent extends IConnectorEvent
An event that is fired by an `IConnector` to indicate that its state has changed.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`ConnectorState`
`getNewState()`
The new state of the `IConnector` that sent this event.
`ConnectorState`
`getOldState()`
The old state of the `IConnector` that sent this event.

### Methods inherited from interface org.eclipse.net4j.connector.IConnectorEvent

`getSource`

## Method Details

### getOldState

ConnectorState getOldState()
The old state of the `IConnector` that sent this event.

### getNewState

ConnectorState getNewState()
The new state of the `IConnector` that sent this event.